org.apache.maven.execution

## Class ReactorManager

- java.lang.Object
- - org.apache.maven.execution.ReactorManager

-     public class ReactorManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FAIL_AT_END`
    `static java.lang.String` | `FAIL_FAST`
    `static java.lang.String` | `FAIL_NEVER`
    `static java.lang.String` | `MAKE_BOTH_MODE`
    `static java.lang.String` | `MAKE_DEPENDENTS_MODE`
    `static java.lang.String` | `MAKE_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReactorManager(java.util.List projects)`
    `ReactorManager(java.util.List projects, java.util.List selectedProjects, java.lang.String resumeFrom, java.lang.String makeBehavior)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blackList(MavenProject project)`
    `boolean` | `executedMultipleProjects()`
    `BuildFailure` | `getBuildFailure(MavenProject project)`
    `BuildSuccess` | `getBuildSuccess(MavenProject project)`
    `java.lang.String` | `getFailureBehavior()`
    `java.util.Map` | `getPluginContext(PluginDescriptor plugin, MavenProject project)`
    `java.util.List<MavenProject>` | `getSortedProjects()`
    `MavenProject` | `getTopLevelProject()`
    `boolean` | `hasBuildFailure(MavenProject project)`
    `boolean` | `hasBuildFailures()`
    `boolean` | `hasBuildSuccess(MavenProject project)`
    `boolean` | `hasMultipleProjects()`
    `boolean` | `isBlackListed(MavenProject project)`
    `void` | `registerBuildFailure(MavenProject project, java.lang.Exception error, java.lang.String task, long time)`
    `void` | `registerBuildSuccess(MavenProject project, long time)`
    `void` | `setFailureBehavior(java.lang.String failureBehavior)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FAIL_FAST

          public static final java.lang.String FAIL_FAST

      See Also:
        Constant Field Values

    - #### FAIL_AT_END

          public static final java.lang.String FAIL_AT_END

      See Also:
        Constant Field Values

    - #### FAIL_NEVER

          public static final java.lang.String FAIL_NEVER

      See Also:
        Constant Field Values

    - #### MAKE_MODE

          public static final java.lang.String MAKE_MODE

      See Also:
        Constant Field Values

    - #### MAKE_DEPENDENTS_MODE

          public static final java.lang.String MAKE_DEPENDENTS_MODE

      See Also:
        Constant Field Values

    - #### MAKE_BOTH_MODE

          public static final java.lang.String MAKE_BOTH_MODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReactorManager

          public ReactorManager(java.util.List projects)
                         throws CycleDetectedException,
                                DuplicateProjectException,
                                MissingProjectException

      Throws:
        `CycleDetectedException`
        `DuplicateProjectException`
        `MissingProjectException`

    - #### ReactorManager

          public ReactorManager(java.util.List projects,
                        java.util.List selectedProjects,
                        java.lang.String resumeFrom,
                        java.lang.String makeBehavior)
                         throws CycleDetectedException,
                                DuplicateProjectException,
                                MissingProjectException

      Throws:
        `CycleDetectedException`
        `DuplicateProjectException`
        `MissingProjectException`

  - ### Method Detail

    - #### getPluginContext

          public java.util.Map getPluginContext(PluginDescriptor plugin,
                                       MavenProject project)

    - #### setFailureBehavior

          public void setFailureBehavior(java.lang.String failureBehavior)

    - #### getFailureBehavior

          public java.lang.String getFailureBehavior()

    - #### blackList

          public void blackList(MavenProject project)

    - #### isBlackListed

          public boolean isBlackListed(MavenProject project)

    - #### registerBuildFailure

          public void registerBuildFailure(MavenProject project,
                                  java.lang.Exception error,
                                  java.lang.String task,
                                  long time)

    - #### hasBuildFailures

          public boolean hasBuildFailures()

    - #### hasBuildFailure

          public boolean hasBuildFailure(MavenProject project)

    - #### hasMultipleProjects

          public boolean hasMultipleProjects()

    - #### getSortedProjects

          public java.util.List<MavenProject> getSortedProjects()

    - #### getTopLevelProject

          public MavenProject getTopLevelProject()

    - #### hasBuildSuccess

          public boolean hasBuildSuccess(MavenProject project)

    - #### registerBuildSuccess

          public void registerBuildSuccess(MavenProject project,
                                  long time)

    - #### getBuildFailure

          public BuildFailure getBuildFailure(MavenProject project)

    - #### getBuildSuccess

          public BuildSuccess getBuildSuccess(MavenProject project)

    - #### executedMultipleProjects

          public boolean executedMultipleProjects()